Sympa::Log(3Sympa)

NAME
Sympa::Log - Logging facility of Sympa

SYNOPSIS
  use Sympa::Log;

  my $log = Sympa::Log->instance;
  $log->openlog($facility, 'inet');
  $log->{level} = 0;
  $log->syslog('info', '%s: Stat logging', $$);

DESCRIPTION
TBD.

  Methods

instance ( )
    Constructor. Creates new singleton instance of Sympa::Log.

openlog ( $facility, $socket_type, [ options ... ] )
    TBD.

syslog ( $level, $format, [ parameters ... ] )
    TBD.

get_log_date
    TBD,

db_log
    TBD.

add_stat
    TBD.

get_first_db_log
    TBD.

get_next_db_log
    TBD.

aggregate_stat
    TBD.

aggregate_daily_data
    TBD.

  Properties
Instance of Sympa::Log has following properties.

{level}
    Logging level. Integer or "undef".

{log_to_stderr}
    If set, print logs by syslog() to standard error. Property value may be log level(s) to print or 'all'.

SEE ALSO
Sys::Syslog, Sympa::DatabaseManager.

HISTORY
Database logging feature contributed by Adrien Brard appeared on Sympa 5.3.

Statistics feature appeared on Sympa 6.2.

Log module was renamed to Sympa::Log on Sympa 6.2.